Overview | Modules | Class Hierarchy | Classes | Members

# Reflect.h File Reference

`#include <tulip/tulipconf.h>`
`#include <iostream>`
`#include <string>`
`#include <cassert>`
`#include <typeinfo>`
`#include <list>`
`#include "tulip/StlIterator.h"`
`#include "cxx/Reflect.cxx"`

Include dependency graph for Reflect.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

- namespace tlp

## Classes

- struct tlp::DataMem
- struct tlp::DataType
- struct tlp::DataSet
- struct tlp::StructDef
    This class enables to define a structure. More...

## Defines

- #define HTML_HELP_OPEN()
- #define HTML_HELP_DEF(A, B) "<tr><td><b>" A "</b></td><td><FONT COLOR=\"red\">" B "</td></tr>"
- #define HTML_HELP_BODY() "</table></td><td>"
- #define HTML_HELP_CLOSE() "</td></tr></table>"

## Define Documentation

#define HTML_HELP_BODY | (

)

"</table></td><td>"

#define HTML_HELP_CLOSE | (

)

"</td></tr></table>"

#define HTML_HELP_DEF | ( | A,
|  | B |  | ) | "<tr><td><b>" A "</b></td><td><FONT COLOR=\"red\">" B "</td></tr>"

#define HTML_HELP_OPEN | (

)

Value:

    "<table><tr><td>" \
                                              "<table CELLSPACING=5 bgcolor=\"#EEEEEE\">"

Tulip Software by LaBRI Visualization Team 2001 - 2010